Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## be.cin.mycarenet.esb.common.v2
Class OrigineType

    java.lang.Object
      be.cin.mycarenet.esb.common.v2.OrigineType

All Implemented Interfaces:
  Serializable

    @Generated(value="com.sun.tools.xjc.Driver",
               date="2018-09-20T05:32:12+02:00",
               comments="JAXB RI v2.2.11")
    public class OrigineType

extends Object
implements Serializable

Information about the originator of the request.

Java class for OrigineType complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="OrigineType">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element name="Package" type="{urn:be:cin:mycarenet:esb:common:v2}PackageType"/>
             <element name="SiteID" type="{urn:be:cin:mycarenet:esb:common:v2}ValueRefString" minOccurs="0"/>
             <element name="CareProvider" type="{urn:be:cin:mycarenet:esb:common:v2}CareProviderType" minOccurs="0"/>
             <element name="Sender" type="{urn:be:cin:mycarenet:esb:common:v2}PartyType" minOccurs="0"/>
           </sequence>
         </restriction>
       </complexContent>
     </complexType>

See Also:
  Serialized Form

Constructor Summary
`OrigineType()`

Method Summary
`CareProviderType` | `getCareProvider()` Gets the value of the careProvider property.
`PackageType` | `getPackage()` Gets the value of the package property.
`PartyType` | `getSender()` Gets the value of the sender property.
`ValueRefString` | `getSiteID()` Gets the value of the siteID property.
`void` | `setCareProvider(CareProviderType value)` Sets the value of the careProvider property.
`void` | `setPackage(PackageType value)` Sets the value of the package property.
`void` | `setSender(PartyType value)` Sets the value of the sender property.
`void` | `setSiteID(ValueRefString value)` Sets the value of the siteID property.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### OrigineType

    public OrigineType()

Method Detail

### getPackage

    public PackageType getPackage()

  Gets the value of the package property.

  Returns:
    possible object is `PackageType`

### setPackage

    public void setPackage(PackageType value)

  Sets the value of the package property.

  Parameters:
    `value` - allowed object is `PackageType`

### getSiteID

    public ValueRefString getSiteID()

  Gets the value of the siteID property.

  Returns:
    possible object is `ValueRefString`

### setSiteID

    public void setSiteID(ValueRefString value)

  Sets the value of the siteID property.

  Parameters:
    `value` - allowed object is `ValueRefString`

### getCareProvider

    public CareProviderType getCareProvider()

  Gets the value of the careProvider property.

  Returns:
    possible object is `CareProviderType`

### setCareProvider

    public void setCareProvider(CareProviderType value)

  Sets the value of the careProvider property.

  Parameters:
    `value` - allowed object is `CareProviderType`

### getSender

    public PartyType getSender()

  Gets the value of the sender property.

  Returns:
    possible object is `PartyType`

### setSender

    public void setSender(PartyType value)

  Sets the value of the sender property.

  Parameters:
    `value` - allowed object is `PartyType`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Connector Packaging PERSPRACTICALNURSE 3.16.1 API
Copyright © {inceptionYear}-2018 eHealth. All Rights Reserved.